Index: trunk/src/lib/graphics/importer/Makefile.am
===================================================================
--- trunk/src/lib/graphics/importer/Makefile.am	(revision 5857)
+++ trunk/src/lib/graphics/importer/Makefile.am	(revision 5858)
@@ -9,5 +9,6 @@
                            md2Model.cc \
                            material.cc \
-                           texture.cc
+                           texture.cc \
+                           multi_frame_texture.cc
 
 
@@ -20,4 +21,5 @@
                  material.h \
                  texture.h \
+                 multi_frame_texture.h \
                  anorms.h \
                  anormtab.h
Index: trunk/src/lib/graphics/importer/multi_frame_texture.cc
===================================================================
--- trunk/src/lib/graphics/importer/multi_frame_texture.cc	(revision 5858)
+++ trunk/src/lib/graphics/importer/multi_frame_texture.cc	(revision 5858)
@@ -0,0 +1,65 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_IMPORTER
+
+#include "multi_frame_texture.h"
+
+#include "debug.h"
+#include "graphics_engine.h"
+
+#include <stdarg.h>
+
+#ifdef HAVE_SDL_IMAGE_H
+#include <SDL_image.h>
+#else
+#include <SDL/SDL_image.h>
+#endif
+
+/**
+ *  Constructor for a Texture
+*/
+MultiFrameTexture::MultiFrameTexture(unsigned int count, ...)
+{
+  this->setClassID(CL_TEXTURE, "Texture");
+
+}
+
+/**
+ *  Destructor of a MultiFrameTexture
+
+   Frees Data, and deletes the textures from GL
+*/
+MultiFrameTexture::~MultiFrameTexture()
+{
+}
+
+
+
+bool MultiFrameTexture::rebuild()
+{
+//   if (this->texture != 0 && glIsMultiFrameTexture(this->texture))
+//     {
+//       glDeleteMultiFrameTextures(1,&this->texture);
+//       this->texture = 0;
+//     }
+//
+//   if (this->image != NULL)
+//     {
+//       PRINTF(3)("Reloading MultiFrameTexture of %s '%s'\n", this->getClassName(), this->getName());
+//       this->texture = loadTexToGL(this->image);
+//     }
+
+}
Index: trunk/src/lib/graphics/importer/multi_frame_texture.h
===================================================================
--- trunk/src/lib/graphics/importer/multi_frame_texture.h	(revision 5858)
+++ trunk/src/lib/graphics/importer/multi_frame_texture.h	(revision 5858)
@@ -0,0 +1,38 @@
+/*!
+ * @file texture.h
+ * @brief Contains the texture class, that handles the reading of Images into Texutre-files.
+ */
+
+#ifndef _MULTI_FRAME_TEXTURE_H
+#define _MULTI_FRAME_TEXTURE_H
+
+#include "texture.h"
+
+#include "glincl.h"
+#include <vector>
+
+/* Forward Declaration */
+struct SDL_Surface;
+
+//! A Class, that reads in Textures from different fileformats.
+  class MultiFrameTexture : public Texture
+  {
+    public:
+      MultiFrameTexture(unsigned int count, ...);
+  //  Texture(TEXTURE_TYPE type, int resolution);
+      ~MultiFrameTexture();
+
+      bool loadImages(unsigned int cound, ...);
+      bool rebuild();
+
+      /** @returns The textureID of this texture.  */
+      inline GLuint getFrameTexture(unsigned int frameNumber);// const { return this->textures; };
+
+      const SDL_Surface* const getFrameImage() const {  };
+
+    private:
+      std::vector<GLuint>          textures;            //!< The Texture-ID of opengl from this Texture.
+      std::vector<SDL_Surface*>    images;              //!< The SDL_Surfce that stores the Texture on it.
+  };
+
+#endif /* _MULTI_FRAME_TEXTURE_H */
Index: trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- trunk/src/lib/graphics/importer/texture.cc	(revision 5857)
+++ trunk/src/lib/graphics/importer/texture.cc	(revision 5858)
@@ -19,6 +19,6 @@
 
 #include "debug.h"
-#include "graphics_engine.h"
-
+
+// INCLUDING SDL_Image
 #ifdef HAVE_SDL_IMAGE_H
 #include <SDL_image.h>
@@ -58,5 +58,4 @@
 }
 
-
 /**
  *  loads an Image from a file to a Texture
@@ -65,5 +64,5 @@
 bool Texture::loadImage(const char* imageName)
 {
-  if (GraphicsEngine::texturesEnabled)
+  if (Texture::texturesEnabled)
     {
       if (this->image != NULL)
@@ -195,4 +194,19 @@
 
 
+bool Texture::texturesEnabled = true;
+
+/**
+ * enables, disables textures
+ * @param texturesEnabled true if the textures should be enabled
+ */
+void Texture::setTextureEnableState(bool texturesEnabled)
+{
+  Texture::texturesEnabled = texturesEnabled;
+}
+
+
+//////////////////////////////////////
+// UTILITY FUNCTIONALITY OF TEXTURE //
+//////////////////////////////////////
 /**
  *  Loads a Texture to the openGL-environment.
Index: trunk/src/lib/graphics/importer/texture.h
===================================================================
--- trunk/src/lib/graphics/importer/texture.h	(revision 5857)
+++ trunk/src/lib/graphics/importer/texture.h	(revision 5858)
@@ -14,8 +14,4 @@
 struct SDL_Surface;
 
-//! an enumerator for different procedural texture-types
-typedef enum TEXTURE_TYPE { TEXTURE_RADIAL_ALIAS,
-  TEXTURE_NOISE };
-
 //! A Class, that reads in Textures from different fileformats.
   class Texture : public BaseObject
@@ -27,5 +23,5 @@
 
       bool loadImage(const char* imageName);
-      bool rebuild();
+      virtual bool rebuild();
 
       /** @returns The textureID of this texture.  */
@@ -33,12 +29,15 @@
       /** @returns true if texture has alpha, false otherwise */
       inline bool hasAlpha() const {return bAlpha;}
+      /** @returns the stored image of this Texture */
+      const SDL_Surface* const getStoredImage() const { return this->image; };
 
-      static GLuint loadTexToGL (const SDL_Surface* surface);
 
-      const SDL_Surface* const getStoredImage() { return this->image; };
 
       static void setTextureEnableState(bool texturesEnabled);
       /** @returns true if Textures are enabled */
       inline static bool getTextureEnableState() { return Texture::texturesEnabled; };
+
+      // Utility functionality:
+      static GLuint loadTexToGL (const SDL_Surface* surface);
 
     protected:
